summaryrefslogtreecommitdiff
path: root/test/scripts/light-system-test-run-2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/scripts/light-system-test-run-2.sh')
-rwxr-xr-xtest/scripts/light-system-test-run-2.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/scripts/light-system-test-run-2.sh b/test/scripts/light-system-test-run-2.sh
new file mode 100755
index 0000000..204266f
--- /dev/null
+++ b/test/scripts/light-system-test-run-2.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -o nounset
+set -o errexit
+
+SOFTHSM=/usr/local/bin/softhsm2-util
+INSTDIR=../catlfish
+PREFIX=..
+
+. test.shvars
+
+(cd ${INSTDIR} && python ../tools/verifysct.py --sct-file=tests/submittedcerts --parallel 1 ${BASEURL} --publickey=tests/keys/logkey.pem --cafile tests/httpsca/demoCA/cacert.pem) || (echo "Verification of SCT:s failed" ; false)
+(cd ${INSTDIR}/tests && ../../tools/check-sth.py ${BASEURL} --publickey=keys/logkey.pem --cur-sth=stored-sth --cafile httpsca/demoCA/cacert.pem)
+(cd ${INSTDIR}/tests && python ../../tools/storagegc.py --config ../../test/catlfish-test.cfg --localconfig ../../test/catlfish-test-local-1.cfg) || (echo "GC failed" ; false)